> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeycomb.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Burn Alert

> Create a Burn Alert against a specified SLO.




## OpenAPI

````yaml api/openapi-public.yaml post /1/burn_alerts/{datasetSlug}
openapi: 3.1.0
info:
  title: Honeycomb API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: support@honeycomb.io
  description: >
    The API allows programmatic management of many resources within Honeycomb.


    Please report any discrepancies with actual API behavior in <a
    href="https://docs.honeycomb.io/troubleshoot/community/">Pollinators
    Slack</a> or to <a href="https://support.honeycomb.io/">Honeycomb
    Support</a>.
servers:
  - url: https://api.honeycomb.io
  - url: https://api.eu1.honeycomb.io
security: []
tags:
  - name: Auth
    description: >
      API Keys have various scopes permissions and belong to a specific Team or
      Environment.


      Any valid Honeycomb ingest or configuration API Key will work with this
      endpoint. Learn more about [API
      keys](https://docs.honeycomb.io/get-started/best-practices/api-keys).


      These endpoints can be used to validate authentication for a key, to
      determine what authorizations have been granted

      to a key, and to determine the Team and Environment that a key belongs to.
  - name: Boards
    description: >
      Boards are a place to pin and save useful queries/graphs, SLO panels, text
      panels, and views you want to retain for later reuse and reference.


      Boards can contain multiple panel types:

      - **Query panels**: Display saved queries/graphs

      - **SLO panels**: Monitor Service Level Objectives

      - **Text panels**: Add markdown-formatted text and documentation

      - **Views**: Filtered perspectives of board data (limited to 50 views per
      board)


      Boards also support preset filters (limited to 5 per board) to apply
      consistent filtering across the board.


      This API allows you to list, create, update, and delete boards, as well as
      manage board views.


      ## Authorization


      The API key must have the **Manage Public Boards** permission. Learn more
      about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Burn Alerts
    description: >
      This feature is available as part of the [Honeycomb Pro and Enterprise
      plans](https://www.honeycomb.io/pricing/).


      Burn Alerts notify you when issues impact your SLO budget. Learn more
      about [Burn Alerts
      here](https://docs.honeycomb.io/notify/alert/slos/monitor/).


      This API allows you to list, create, update, and delete burn alerts.


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Calculated Fields
    description: >
      Calculated Fields (also called Derived Columns) allow you to run queries
      based on the value of an expression that is calculated from the fields in
      an event.


      This API allows you to list, create, update, and delete Calculated Fields
      in a dataset or across a whole environment, paralleling the behavior of
      the Schema tab within a Dataset's or Environment's Settings UI.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Columns
    description: >
      Columns are fields in the events you send to Honeycomb.


      This API allows you to list, create, update, and delete columns in a
      dataset.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Datasets
    description: >
      A Dataset represents a collection of related events that come from the
      same source, or are related to the same source.


      This API allows you to list, create, and update datasets.


      ## Authorization


      The API key must have the **Create Datasets** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Dataset Definitions
    description: >
      Dataset definitions describe the fields with special meaning in the
      Dataset.


      Refer to the [Dataset
      Definitions](https://docs.honeycomb.io/configure/datasets/definitions/)
      documentation for more information.


      **Honeycomb automatically creates these Dataset definition fields when the
      Dataset is created.**

      Manual creation of Dataset definitions is **not** needed.


      ## Authorization


      The API key must have the **Create Datasets** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Events
    description: >
      The Events API endpoints are the lowest-level way to send Events to
      Honeycomb. **This should be your last resort!**




      If unsure where to start when instrumenting an application, read about how
      to [Send Data to Honeycomb](https://docs.honeycomb.io/send-data/).



      If you are building a tracing or metrics library, we recommend using
      [OpenTelemetry](https://docs.honeycomb.io/send-data/opentelemetry/).


      ## Authorization


      It is recommended that an Ingest API key is used for sending events.


      A Configuration API key will work, and must have the **Send Events**
      permission.

      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Environments
    description: >
      This API allows you to list, create, and update, and delete Environments.


      ## Authorization


      This API requires a Management Key passed via the HTTP Authorization
      header. Join the key ID and secret with a colon, like this:
      `Authorization: Bearer <key ID>:<secret>`.
  - name: Key Management
    description: >
      This API allows you to list, create, update, and delete API Keys for a
      Team.



      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).


      ## Authorization

       This API requires a Management Key passed via the HTTP Authorization header. Join the key ID and secret with a colon, like this: `Authorization: Bearer <key ID>:<secret>`.
  - name: Kinesis Events
    description: >
      The Kinesis Events API endpoints allow Honeycomb to process streaming
      events from Amazon Kinesis.


      Refer to the [Honeycomb AWS
      integrations](https://docs.honeycomb.io/integrations/aws/how-aws-integrations-work/)
      documentation for more information.


      ## Authorization


      It is recommended that an Ingest API key is used for sending events.


      A Configuration API key will work, and must have the **Send Events**
      permission.

      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Markers
    description: >
      Markers indicate points in time on graphs where interesting things happen,
      such as deploys or outages.


      This API allows you to list, create, update, and delete Markers.


      ## Authorization


      The API key must have the **Manage Markers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Marker Settings
    description: >
      Marker Settings apply to groups of similar Markers.

      For example, "deploys" markers appear with the same color on a graph.


      This API allows you to list, create, update, and delete Marker Settings.


      ## Authorization


      The API key must have the **Manage Markers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Queries
    description: >
      Queries in Honeycomb are specifications for queries, and are used to
      identify queries in other parts of the API - in particular: boards,
      triggers, and query annotations.


      This API allows you to create and get query objects.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Query Annotations
    description: >
      Query Annotations in Honeycomb allow you to associate names and
      descriptions to queries to add additional information in collaboration
      features.


      This API allows you to list, create, update, and delete Query Annotations.


      ## Authorization


      The API key must have the **Manage Queries and Columns** permission. Learn
      more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Query Data
    description: >
      This feature is available as part of the [Honeycomb Enterprise
      plan](https://www.honeycomb.io/pricing/).


      Query Results are the aggregated data from a Query, similar to what is
      displayed in graphs or heatmaps within the Honeycomb UI. Receiving results
      from a Query is a three-step process:


      Create the Query (or Query Spec), which validates that the query
      parameters are valid. Creating a query does not actually run the query to
      get results.

      Run the query asynchronously by creating a Query Result referencing the
      Query’s ID. This returns a Query Result ID.

      Poll the query result endpoint (with the Query Result ID) until the data
      is ready.


      Note that many Query Results can be created from a single Query. This is
      particularly useful when using a relative time_range parameter in the
      Query.

      For example, a Query with `time_range: 7200` and no explicit `start_time`
      or `end_time` can be re-run over and over, with each resulting Query
      Result containing the most recent 2 hours of data.

      This is conceptually similar to clicking Run Query in the Honeycomb UI
      without changing any query parameters.


      **IMPORTANT API RESTRICTIONS:**


      To ensure the stability of Honeycomb systems, we have enabled the
      following API restrictions. These restrictions may change over time.


      * Query Results can only be created for events with timestamps within the
      past 7 days.


      * When creating a Query Result, the time ranges from the Query are
      truncated according to the following rules. For queries with a time range
      of:

          * less than or equal to 6 hours, results are truncated to the nearest 1 minute. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:28:00Z.

          * greater than 6 hours and less than or equal to 2 days, results are truncated to the nearest 5 minutes. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:25:00Z.

          * greater than 2 days and less than or equal to 7 days, results are truncated to the nearest 30 minutes. For example, a start/end time of 2021-04-22T05:28:12Z will be truncated to 2021-04-22T05:00:00Z.

      * Creating a Query Result is rate limited to 10 requests per minute.
      Status code 429 will be returned when rate limited.


      * Query Results cannot take longer than 10 seconds to run.


      * Creating a Query Result that contains Relational Fields is rate limited
      to 1 request per minute. Status code 429 will be returned when rate
      limited.

        * Query Results with Relational Fields may be more likely to take longer to run.

      * Regardless of whether the `compare_time_offset_seconds` field is
      populated on a query, query run responses will not include comparison
      results.


      ## Authorization


      The API key must have the **Manage Queries and Columns** and **Run
      Queries** permission. Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Recipients
    description: >
      Honeycomb Recipients allow you to define and manage the Recipients that
      will get notified by a Trigger or Burn Alert.


      The types of Recipients supported are: PagerDuty, Email, Webhook,
      Microsoft Teams, and Slack.


      ## Authorization


      The API key must have the **Manage Recipients** permission. Recipients are
      team-wide and NOT environment-specific.

      API Keys with the **Manage Recipients** permission can modify recipients
      used by ALL environments for a given team.


      Learn more about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Reporting
    description: >
      The Reporting API provides access to historical performance data.


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Service Maps
    description: >
      The Service Maps API endpoints allow you to visualize the relationships
      between your services in Honeycomb.


      This API allows you to create and retrieve service Dependency Requests,
      which are used to generate maps of dependencies between services.


      ## Authorization


      The API key must have the **Read Service Maps** permission. Learn more
      about [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: SLOs
    description: >
      This feature is available as part of the [Honeycomb Pro and Enterprise
      plans](https://www.honeycomb.io/pricing).


      Honeycomb SLOs allow you to define and monitor Service Level Objectives
      (SLOs) for your organization.


      This API allows you to list, create, update, and delete SLO objects.


      You can also access historical reporting for your SLOs to analyze
      long-term performance trends. For more information, see [Get SLO
      History](https://api-docs.honeycomb.io/api/reporting/getslohistory)


      ## Authorization


      The API key must have the **Manage SLOs** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
  - name: Triggers
    description: >
      Triggers let you receive notifications when your data in Honeycomb crosses
      the thresholds that you configure.

      The graph on which to alert is as flexible as a Honeycomb query, which
      helps reduce false positives due to known errors.


      Triggers support both standard event-based datasets and metrics datasets.
      Metrics triggers have additional capabilities

      such as granularity control.

      Learn more in the [Triggers
      documentation](https://docs.honeycomb.io/notify/alert/triggers/).


      This API allows you to list, create, update, and delete Triggers.


      ## Authorization


      The API key must have the **Manage Triggers** permission. Learn more about
      [API keys
      here](https://docs.honeycomb.io/configure/environments/manage-api-keys/).
externalDocs:
  url: https://docs.honeycomb.io
paths:
  /1/burn_alerts/{datasetSlug}:
    parameters:
      - $ref: '#/components/parameters/datasetSlugOrAll'
    post:
      tags:
        - Burn Alerts
      summary: Create a Burn Alert
      description: |
        Create a Burn Alert against a specified SLO.
      operationId: createBurnAlert
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBurnAlertRequest'
        required: true
      responses:
        '201':
          description: Created
          headers:
            Ratelimit:
              $ref: '#/components/headers/RateLimit'
            RateLimitPolicy:
              $ref: '#/components/headers/RateLimitPolicy'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BurnAlertDetailResponse'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationFailed'
        '429':
          $ref: '#/components/responses/RateLimited'
        default:
          $ref: '#/components/responses/GenericError'
      security:
        - configuration_key: []
components:
  parameters:
    datasetSlugOrAll:
      name: datasetSlug
      description: >
        The dataset slug or use `__all__` for endpoints that support
        environment-wide operations.
      in: path
      required: true
      schema:
        type: string
  schemas:
    CreateBurnAlertRequest:
      type: object
      required:
        - alert_type
      properties:
        alert_type:
          type: string
      oneOf:
        - $ref: '#/components/schemas/CreateExhaustionTimeBurnAlertRequest'
        - $ref: '#/components/schemas/CreateBudgetRateBurnAlertRequest'
      discriminator:
        propertyName: alert_type
        mapping:
          exhaustion_time:
            $ref: '#/components/schemas/CreateExhaustionTimeBurnAlertRequest'
          budget_rate:
            $ref: '#/components/schemas/CreateBudgetRateBurnAlertRequest'
    BurnAlertDetailResponse:
      type: object
      required:
        - alert_type
      properties:
        alert_type:
          type: string
      oneOf:
        - $ref: '#/components/schemas/ExhaustionTimeBurnAlertDetailResponse'
        - $ref: '#/components/schemas/BudgetRateBurnAlertDetailResponse'
      discriminator:
        propertyName: alert_type
        mapping:
          exhaustion_time:
            $ref: '#/components/schemas/ExhaustionTimeBurnAlertDetailResponse'
          budget_rate:
            $ref: '#/components/schemas/BudgetRateBurnAlertDetailResponse'
    CreateExhaustionTimeBurnAlertRequest:
      allOf:
        - $ref: '#/components/schemas/ExhaustionTimeBurnAlert'
        - type: object
          required:
            - slo
            - recipients
          properties:
            slo:
              type: object
              description: Details about the SLO associated with the burn alert.
              required:
                - id
              properties:
                id:
                  type: string
                  description: Unique identifier (ID) of a SLO.
              example:
                id: 2LBq9LckbcA
            recipients:
              type: array
              minItems: 1
              description: >
                A list of [Recipients](/api/recipients/) to notify when an alert
                fires. Using `type`+`target` is deprecated. First, create the
                Recipient via the Recipients API, and then specify the ID.
              items:
                $ref: '#/components/schemas/NotificationRecipient'
              example:
                - id: abcd123
                  type: email
                  target: alerts@example.com
    CreateBudgetRateBurnAlertRequest:
      allOf:
        - $ref: '#/components/schemas/BudgetRateBurnAlert'
        - type: object
          required:
            - slo
            - recipients
          properties:
            slo:
              type: object
              description: Details about the SLO associated with the burn alert.
              required:
                - id
              properties:
                id:
                  type: string
                  description: Unique identifier (ID) of a SLO.
              example:
                id: 2LBq9LckbcA
            recipients:
              type: array
              minItems: 1
              description: >
                A list of [Recipients](/api/recipients/) to notify when an alert
                fires. Using `type`+`target` is deprecated. First, create the
                Recipient via the Recipients API, and then specify the ID.
              items:
                $ref: '#/components/schemas/NotificationRecipient'
              example:
                - id: abcd123
                  type: email
                  target: alerts@example.com
    ExhaustionTimeBurnAlertDetailResponse:
      title: Exhaustion Time
      allOf:
        - $ref: '#/components/schemas/ExhaustionTimeBurnAlertListResponse'
        - type: object
          properties:
            recipients:
              type: array
              minItems: 1
              description: >
                A list of [Recipients](/api/recipients/) to notify when an alert
                fires. Using `type`+`target` is deprecated. First, create the
                Recipient via the Recipients API, and then specify the ID.
              items:
                $ref: '#/components/schemas/NotificationRecipient'
              example:
                - id: abcd123
                  type: email
                  target: alerts@example.com
    BudgetRateBurnAlertDetailResponse:
      allOf:
        - $ref: '#/components/schemas/BudgetRateBurnAlertListResponse'
        - type: object
          properties:
            recipients:
              type: array
              minItems: 1
              description: >
                A list of [Recipients](/api/recipients/) to notify when an alert
                fires. Using `type`+`target` is deprecated. First, create the
                Recipient via the Recipients API, and then specify the ID.
              items:
                $ref: '#/components/schemas/NotificationRecipient'
              example:
                - id: abcd123
                  type: email
                  target: alerts@example.com
    Error:
      x-tags:
        - Errors
      type: object
      description: A legacy error, containing only a textual description.
      properties:
        error:
          type: string
          readOnly: true
    DetailedError:
      x-tags:
        - Errors
      description: An RFC7807 'Problem Detail' formatted error message.
      type: object
      required:
        - error
        - status
        - type
        - title
      properties:
        error:
          type: string
          readOnly: true
          default: something went wrong!
        status:
          type: number
          readOnly: true
          description: The HTTP status code of the error.
        type:
          type: string
          readOnly: true
          description: Type is a URI used to uniquely identify the type of error.
        title:
          type: string
          readOnly: true
          description: >-
            Title is a human-readable summary that explains the `type` of the
            problem.
        detail:
          type: string
          readOnly: true
          description: The general, human-readable error message.
        instance:
          type: string
          readOnly: true
          description: The unique identifier (ID) for this specific error.
    JSONAPIError:
      x-tags:
        - Errors
      type: object
      description: A JSONAPI-formatted error message.
      properties:
        errors:
          type: array
          items:
            type: object
            readOnly: true
            required:
              - id
              - code
            properties:
              id:
                type: string
                readOnly: false
              status:
                type: string
              code:
                type: string
                readOnly: true
              title:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                readOnly: true
                properties:
                  pointer:
                    type: string
                    readOnly: true
                  header:
                    type: string
                    readOnly: true
                  parameter:
                    type: string
                    readOnly: true
    ValidationError:
      x-tags:
        - Errors
      allOf:
        - $ref: '#/components/schemas/DetailedError'
        - type: object
          properties:
            status:
              type: number
              readOnly: true
              default: 422
            type:
              type: string
              readOnly: true
              default: https://api.honeycomb.io/problems/validation-failed
            title:
              type: string
              readOnly: true
              default: The provided input is invalid.
            type_detail:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                    readOnly: true
                  code:
                    type: string
                    readOnly: true
                    enum:
                      - invalid
                      - missing
                      - incorrect_type
                      - already_exists
                  description:
                    type: string
                    readOnly: true
    ExhaustionTimeBurnAlert:
      title: Exhaustion Time
      allOf:
        - $ref: '#/components/schemas/BurnAlertSharedParams'
        - type: object
          required:
            - exhaustion_minutes
          properties:
            alert_type:
              type: string
              description: >
                One of the supported alert types:

                1. `exhaustion_time`: Notifies when you are about to run out of
                SLO budget within a specified number of hours.

                1. `budget_rate`: Notifies when budget drops by at least a
                specified percentage within a defined time window.
              default: exhaustion_time
              enum:
                - exhaustion_time
                - budget_rate
              example: exhaustion_time
            exhaustion_minutes:
              type: integer
              minimum: 0
              description: >
                Required when `alert_type` is `exhaustion_time`.


                Must not be specified when `alert_type` is `budget_rate`.


                Amount of time (in minutes) left until your projected SLO budget
                is exhausted.

                The alert will fire when this exhaustion threshold is reached.
              example: 120
    NotificationRecipient:
      type: object
      properties:
        id:
          type: string
        type:
          deprecated: true
          description: >
            One of the allowed Recipient types.

            Deprecated: Use the Recipients API first, then pass the Recipient
            ID.
          allOf:
            - $ref: '#/components/schemas/RecipientType'
        target:
          type: string
          deprecated: true
          description: >
            The target of the notification. For example, the specific Slack
            channel or email address.

            For Recipients of `type = "webhook"` or `type = "msteams_workflow"`,

            this will be the Name in the UI and `webhook_name` in the Recipients
            API.

            Deprecated: Use the Recipients API first, then pass the Recipient
            ID.
        details:
          $ref: '#/components/schemas/NotificationRecipientDetails'
    BudgetRateBurnAlert:
      title: Budget Rate
      allOf:
        - $ref: '#/components/schemas/BurnAlertSharedParams'
        - type: object
          required:
            - alert_type
            - budget_rate_window_minutes
            - budget_rate_decrease_threshold_per_million
          properties:
            alert_type:
              type: string
              description: >
                One of the supported alert types:

                1. `exhaustion_time`: Notifies when you are about to run out of
                SLO budget within a specified number of hours.

                1. `budget_rate`: Notifies when budget drops by at least a
                specified percentage within a defined time window.
              default: exhaustion_time
              enum:
                - exhaustion_time
                - budget_rate
              example: budget_rate
            budget_rate_window_minutes:
              type: integer
              minimum: 60
              description: >
                Required when `alert_type` is `budget_rate`.


                Must not be specified when `alert_type` is `exhaustion_time`.


                Time period (in minutes) over which a budget rate will be
                calculated.


                Must be no greater than the associated SLO's time period.
              example: 120
            budget_rate_decrease_threshold_per_million:
              type: integer
              minimum: 1
              maximum: 1000000
              description: >
                Required when `alert_type` is `budget_rate`.


                Must not be specified when `alert_type` is `exhaustion_time`.


                The percent the budget has decreased over the budget rate
                window, represented as a value out of one million.

                The alert will fire when this budget decrease threshold is
                reached.


                See the table below for some example conversions from desired
                budget decrease percent to the representation as a value out of
                one million

                | Desired percent | Value per million |

                |-----------------|-------------------|

                | 0.001%          | 1                 |

                | 1%              | 10,000            |

                | 5%              | 50,000            |

                | 99.99%          | 999,900           |
              example: 1000
    ExhaustionTimeBurnAlertListResponse:
      allOf:
        - $ref: '#/components/schemas/ExhaustionTimeBurnAlert'
        - type: object
          properties:
            slo:
              type: object
              description: Details about the SLO associated with the burn alert.
              properties:
                id:
                  type: string
                  description: Unique identifier (ID) of a SLO.
              example:
                id: 2LBq9LckbcA
    BudgetRateBurnAlertListResponse:
      title: Budget Rate
      allOf:
        - $ref: '#/components/schemas/BudgetRateBurnAlert'
        - type: object
          properties:
            slo:
              type: object
              description: Details about the SLO associated with the burn alert.
              properties:
                id:
                  type: string
                  description: Unique identifier (ID) of a SLO.
              example:
                id: 2LBq9LckbcA
    BurnAlertSharedParams:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier (ID) of a Burn alert.
          readOnly: true
          example: fS7vfB81Wcy
        description:
          type: string
          description: A description of the Burn Alert.
          maxLength: 1023
          example: Use this runbook if this alert fires.
        triggered:
          type: boolean
          description: >
            Indicates if the Burn Alert has been triggered. This field is
            read-only and is set to `true` when the alert is triggered.
          readOnly: true
          example: false
        created_at:
          type: string
          format: date-time
          description: The ISO8601-formatted time when the Burn Alert was created.
          readOnly: true
          example: '2022-09-22T17:32:11Z'
        updated_at:
          type: string
          format: date-time
          description: The ISO8601-formatted time when the Burn Alert was updated.
          readOnly: true
          example: '2022-10-31T15:08:11Z'
    RecipientType:
      type: string
      description: One of the supported Recipient Types
      enum:
        - pagerduty
        - email
        - slack
        - webhook
        - msteams
        - msteams_workflow
    NotificationRecipientDetails:
      type: object
      properties:
        pagerduty_severity:
          description: >
            When using a Recipient of `type = "pagerduty"`, the severity of the
            alert can be specified.
          type: string
          default: critical
          enum:
            - critical
            - error
            - warning
            - info
        variables:
          description: >
            When using a Recipient of `type = "webhook"`, the alert-level
            variables can be specified.
          type: array
          items:
            type: object
            required:
              - name
            properties:
              name:
                type: string
                pattern: ^[a-z](?:[a-zA-Z0-9]+$)?$
                maxLength: 64
                example: severity
              value:
                type: string
                maxLength: 256
                example: warning
  headers:
    RateLimit:
      description: |
        The (draft07) recommended header from the IETF on rate limiting.
        The value of the header is formatted "limit=X, remaining=Y, reset=Z".
        Where:
          - X is the maximum number of requests allowed in the window
          - Y is the number of requests remaining in the window
          - Z is the number of seconds until the limit resets
      schema:
        type: string
      example: limit=100, remaining=50, reset=60
    RateLimitPolicy:
      description: |
        The (draft07) recommended header from the IETF on rate limiting.
        The value of the header is formatted "X;w=Y".
        Where:
         - X is the maximum number of requests allowed in a window
         - Y is the size of the window in seconds
      schema:
        type: string
      example: 100;w=60
    RetryAfter:
      description: |
        The RFC7231 header used to indicate when a client should retry requests.
      schema:
        type: string
      example: Fri, 22 Mar 2024 18:37:53 GMT
  responses:
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            deny-management-apis:
              description: Team cannot access management APIs.
              value:
                error: >-
                  Your team has been denied access to Management APIs, please
                  contact support to be unblocked.
        application/problem+json:
          schema:
            $ref: '#/components/schemas/DetailedError'
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
    NotFound:
      description: Not Found
      headers:
        Ratelimit:
          $ref: '#/components/headers/RateLimit'
        RateLimitPolicy:
          $ref: '#/components/headers/RateLimitPolicy'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: dataset not found
        application/problem+json:
          schema:
            $ref: '#/components/schemas/DetailedError'
          example:
            status: 404
            type: https://api.honeycomb.io/problems/not-found
            title: The requested resource cannot be found.
            error: Dataset not found
            detail: Dataset not found
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
    ValidationFailed:
      description: Validation Failed
      headers:
        Ratelimit:
          $ref: '#/components/headers/RateLimit'
        RateLimitPolicy:
          $ref: '#/components/headers/RateLimitPolicy'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ValidationError'
          example:
            status: 422
            type: https://api.honeycomb.io/problems/validation-failed
            error: The provided input is invalid.
            title: The provided input is invalid
            type_detail:
              - field: type
                code: invalid
                description: 'type: must be a valid value'
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
    RateLimited:
      description: Rate Limit Exceeded
      headers:
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
        Ratelimit:
          $ref: '#/components/headers/RateLimit'
        RateLimitPolicy:
          $ref: '#/components/headers/RateLimitPolicy'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Rate Limited
        application/problem+json:
          schema:
            $ref: '#/components/schemas/DetailedError'
          example:
            status: 429
            type: https://api.honeycomb.io/problems/rate-limited
            title: You have exceeded your rate limit.
            error: You have exceeded your rate limit.
            detail: Please try again after 2025-02-01T15:23:12Z.
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/JSONAPIError'
          example:
            errors:
              - id: 06dcdd6508ca822f0e7e2bb4121c1f52
                code: rate-limited/may-retry
                title: request rate limit exceeded
                detail: Please try again after 2025-02-01T15:23:12Z.
    GenericError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````

Built with [Mintlify](https://mintlify.com).